
"""
Make tables for paper.

"""

import emiss


# load data
ts = emiss.io.read_all()


# table 1 - analy inversion for x out of all plumes
# =======================================================================
# emissions | noise | number of plumes | mean bias | standard deviation |
#                                      | Mt/yr | % | Mt/yr | %          |
# ----------------------------------------------------------------------
# constant emissions
# time-varying emissions (known background)
# time-varying emissions (constant background) TODO
# ----------------------------------------------------------------------
print()

sep = ' & '
line = sep.join(['noise', '#plumes', 'MB', 'MB', 'SD', 'SD'])
print(line)

for method in ['ana-const', 'ana-vari', 'ana-vari-bg-mean', 'co2-gauss',
               'co2-sub-areas', 'no2-gauss', 'no2-sub-areas']:

    print(method, end=" ")
    dataset = [ts[method][noise] for noise in ['low', 'medium', 'high']]

    use_constant = method == "ana-const"

    emiss.vis.boxplot(dataset, nsat='6', vmin=-30, vmax=30, sample='same',
                      show_header=False, use_constant=use_constant)


# table 2 - mass-balance
# =========================
# plume detection  | noise | number of plumes | mean bias | standard deviation |
# and line density |                          | Mt/yr | % | Mt/yr | %          |
#
# CO2-based - sub-areas
# CO2-based - Gauss
#
# NO2-based - sub-areas
# NO2-based - Gauss

